﻿@model  ProgramCreateEditModelStep2

@{
    Layout = null;
}
<style>
    .icon {
        margin-left: 3px;
        padding: 2px 0;
        font-size: 14px;
        color: #006cc2;
        display: inline-block;
        position: relative;
        z-index: 9;
        cursor: pointer;
    }

    .icon-msg-box {
        bottom: 34px;
        width: 300px;
        padding: 15px;
        position: absolute;
        background-color: #006cc2;
        color: #fff;
        border-radius: 4px;
        display: none;
        z-index: 8;
    }
</style>
<div class="view-container">
    <div class="title-bar">

        <div class="back">
            <a class="action" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" ng-if="Model.SaveType == 'Draft'">
            <h1 ng-if="MC.stateParams.programType != '@ProgramTypeCategory.Camp'">
                Add ({{Model.Name}})
            </h1>
            <h1 ng-show="MC.stateParams.programType == '@ProgramTypeCategory.Camp'">
                Define your first schedule
            </h1>
        </div>
        <div class="title" ng-if="Model.SaveType == 'Publish'">
            <h1 ng-if="MC.stateParams.programType != '@ProgramTypeCategory.Camp'">
                Edit ({{Model.Name}})
            </h1>
            <h1 ng-show="MC.stateParams.programType == '@ProgramTypeCategory.Camp'">
                Edit your schedule(s)
            </h1>

        </div>

        <div class="actions"></div>

        <div class="clearfix"></div>

        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>

    <div class="accordion add-program-schedules" data-role="accordion" ng-hide="showQuestion1 || showQuestion2">
        <div class="add-program-schedule-frame" ng-repeat="schedule in @Html.Ang(model => model.Schedules)" ng-init="scheduleIndex = $index; initAccordions()" ng-class="{'accordion-frame': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">

            <a href="#" class="heading" ng-class="{hide : (MC.stateParams.programType == 'Class' ? true : !firstCollapsed)}" ng-show="schedule.StartDate && schedule.StartDate">
                <span ng-show="schedule.Title !=null">{{schedule.Title}} ({{ formatCampDate(schedule.StartDate) }} - {{formatCampDate(schedule.EndDate)}})</span>
                <span ng-show="schedule.Title ==null">{{ formatCampDate(schedule.StartDate) }} - {{formatCampDate(schedule.EndDate)}}</span>
            </a>

            <a href="#" class="heading" ng-class="{hide : (MC.stateParams.programType == 'Class' ? true : !firstCollapsed)}" ng-hide="schedule.StartDate && schedule.StartDate">
                Blank
            </a>

            <div ng-show="firstCollapsed" class="toolbar transparent fg-blue no-margin schedule-action-bar place-right">
                <button ng-click="copySchedule(schedule)"><i class="icon-copy on-left"></i>Duplicate</button>
                <button ng-click="removeSchedule($index ,schedule.Id )" ng-show="Schedules.length != 1"><i class="icon-cancel-2 on-left"></i>Delete</button>
            </div>
            <div class="add-program-schedule-content" ng-class="{block : MC.stateParams.programType == 'Class' ? true : !firstCollapsed, 'content': (MC.stateParams.programType == 'Class' ? false : firstCollapsed)}">

                <fieldset ng-if="@Html.Ang(model => model.TypeCategory) != '@ProgramTypeCategory.SeminarTour'" ng-class="{'fieldset-schedule-type' : MC.stateParams.programType != 'Calendar' || MC.stateParams.programType != 'SeminarTour'}">
                    <legend>Program schedule</legend>
                    <span ng-if="@Html.Ang(model => model.TypeCategory) != '@ProgramTypeCategory.Camp'" class="message">A class can meet on one or more days during a week. Each day can have its own start time and end time. </span>
                    <label class="req-star">The program meets on the following selected days</label>
                    <span class="place-right program-days-error">@Html.AngValidation("Schedules['+scheduleIndex+'].Days")</span>
                    <div class="clearfix"></div>
                    <ul class="program-week-days" ng-class="MC.stateParams.programType">
                        <li ng-repeat="day in schedule.Days" ng-init="dayIndex = $index" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].StartTime'].Messages) || MC.isEmpty(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].EndTime'].Messages)  }" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].StartTime'].Messages ? errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].StartTime'].Messages.concat(errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].EndTime'].Messages) : errors.formErrors['model.Schedules['+scheduleIndex+'].Days['+dayIndex+'].EndTime'].Messages )}}" jb-tooltip validation-error-tooltip data-html="true">
                            <input id="{{day.DayOfWeek.substring(0, 3)}}_{{scheduleIndex}}" ng-model="day.IsChecked" type="checkbox">
                            <div>
                                <label for="{{day.DayOfWeek.substring(0, 3)}}_{{scheduleIndex}}">{{day.DayOfWeek.substring(0, 3)}}</label>
                                <div class="start-end-time">

                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-model="day.StartTime" class="startTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Starts at">
                                    </div>
                                    <div class="input-control date-time" data-role="input-control">
                                        <input ng-model="day.EndTime" class="endTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Ends at">
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>

                    <div class="clearfix"></div>

                    <div class="place-left one-third padding-right20">
                        <label class="req-star">This program starts on</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].StartDate")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].StartDate")>
                                <input k-options="MC.datePickerOptions" id="programStartDate" kendo-date-picker type="text" ng-model="Model.Schedules[scheduleIndex].StartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="setRegisterEndDate(scheduleIndex)" />
                            </div>
                        </div>
                    </div>

                    <div class="place-left one-third padding-right20" ng-show="@Html.Ang(model => model.TypeCategory) != '@ProgramTypeCategory.SeminarTour'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control select" data-role="input">
                            <select ng-model="schedule.SelectedContinueType" ng-options="obj.Value as obj.Text for obj in schedule.ContinueTypes"></select>
                        </div>
                    </div>

                    <div class="place-left one-third" ng-show="schedule.SelectedContinueType == 'Until'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].EndDate")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].EndDate")>
                                <input k-options="MC.datePickerOptions" id="programEndDate" kendo-date-picker type="text" ng-model="Model.Schedules[scheduleIndex].EndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                            </div>
                        </div>
                    </div>

                    <div class="place-left one-third" ng-show="schedule.SelectedContinueType == 'For'">
                        <label style="visibility:hidden">.</label>
                        <div class="input-control select">
                            <select ng-model="schedule.SelectedSession" ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.Sessions)"></select>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-show="MC.stateParams.programType == '@ProgramTypeCategory.Camp'" class="place-left one-third padding-right20">
                        <label class="req-star">Start time</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].StartTime")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].StartTime")>
                                <input ng-model="schedule.StartTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                            </div>
                        </div>
                    </div>
                    <div ng-show="MC.stateParams.programType == '@ProgramTypeCategory.Camp'" class="place-left one-third padding-right20">
                        <label class="req-star">End time</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].EndTime")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].EndTime")>
                                <input ng-model="schedule.EndTime" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                            </div>
                        </div>
                    </div>

                    <div class="clearfix"></div>

                    <div ng-show="MC.stateParams.programType == '@ProgramTypeCategory.Camp'" class="place-left one-third padding-right20">
                        <label>Schedule title</label>
                        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Title")>
                            <input ng-model="schedule.Title" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Title") />
                        </div>
                    </div>

                </fieldset>

                <fieldset ng-if="@Html.Ang(model => model.TypeCategory) == '@ProgramTypeCategory.SeminarTour'">
                    <legend>Seminar dates</legend>
                    <span class="message">A seminar meets on the following days.</span>

                    <div class="place-left one-half padding-right20">
                        <label class="req-star">This program starts on</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].StartDate")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].StartDate")>
                                <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].StartDate" type="text" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="setRegisterEndDate(scheduleIndex)" />
                            </div>
                        </div>
                    </div>
                    <div class="place-left one-half">
                        <label class="req-star">And continue to</label>
                        <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].EndDate")>
                            <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].EndDate")>
                                <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].EndDate" type="text" ng-focus="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" ng-change="setRegisterEndDate(scheduleIndex)" />
                            </div>
                        </div>
                    </div>
                </fieldset>

                <fieldset ng-hide="MC.stateParams.programType == 'Calendar'">
                    <legend>Registration period</legend>
                    <span class="message">You can specify the date users can start registering for this program and the date the regisration period closes.</span>
                    <div>
                        <div class="one-half place-left" style="padding-right: 20px">
                            <label class="req-star" for="">Registration starts on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterStartDate")>
                                <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterStartDate")>
                                    <input k-options="MC.datePickerOptions" id="registrationStartDate" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].RegistrationPeriod.RegisterStartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>


                        </div>

                        <div class="one-half place-left">
                            <label class="req-star" for="">and ends on</label>
                            <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterEndDate")>
                                <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterEndDate")>
                                    <input k-options="MC.datePickerOptions" id="registrationEndDate" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].RegistrationPeriod.RegisterEndDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                </div>
                            </div>

                        </div>
                    </div>
                    <div>
                        <div class="one-half place-left" style="padding-right: 20px">
                            <label>Registration will open at</label>
                            <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterStartTime")>
                                <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterStartTime")>
                                    <input k-options="MC.timePickerOptionsAllTime5MinInterval" ng-model="Model.Schedules[scheduleIndex].RegistrationPeriod.RegisterStartTime" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Registration start time" />
                                </div>
                            </div>
                        </div>
                        <div class="one-half place-left">
                            <label>Registration will close at</label>

                            <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterEndTime")>
                                <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].RegistrationPeriod.RegisterEndTime")>
                                    <input k-options="MC.timePickerOptionsAllTime5MinInterval" ng-model="Model.Schedules[scheduleIndex].RegistrationPeriod.RegisterEndTime" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Registration end time" />
                                </div>
                            </div>
                        </div>
                    </div>
                </fieldset>

                <fieldset ng-if="@Html.Ang(model => model.TypeCategory)=='@ProgramTypeCategory.Class'">
                    <legend>Program enrollment capacity</legend>
                    <span class="message">You can set minimum and maximum enrollments of class.</span>

                    <div class="place-left one-half padding-right20">
                        <label>Minimum</label>
                        <div class="input-control select" @Html.AngValidationClass("Schedules['+scheduleIndex+'].MinimumEnrollment")>
                            <select ng-model="schedule.MinimumEnrollment"
                                    ng-options="obj.Value as obj.Text for obj in @Html.Ang(model => model.MinimumEnrollments)"
                                    @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].MinimumEnrollment")></select>
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Maximum</label>
                        <div class="input-control select" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Capacity")>
                            <select ng-model="schedule.Capacity"
                                    ng-options="obj.Value as obj.Text for obj in  @Html.Ang(model => model.Capacities)"
                                    @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Capacity")></select>
                        </div>
                    </div>

                    <div class="clearfix"></div>
                    <div class="input-control checkbox default-style place-left padding-right20 no-margin" data-role="input-control">
                        <label>
                            <input ng-model="schedule.ShowCapacityLeft" name="showCapacityLeft" ng-value="true" type="checkbox" />
                            <span class="check"></span>
                            Show the remaining spots when it is less than
                        </label>

                    </div>
                    <div class="input-control select place-left one-third padding-right20 " data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].ShowCapacityLeftNumber")>

                        <select ng-model="schedule.ShowCapacityLeftNumber" ng-disabled="!schedule.ShowCapacityLeft"
                                ng-options="obj.Value as obj.Text for obj in schedule.CapacityLeftNumbers"
                                @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].ShowCapacityLeftNumber")></select>

                    </div>

                </fieldset>

                <fieldset ng-show="MC.stateParams.programType == '@Jumbula.Common.Enums.ProgramTypeCategory.Camp'">
                    <legend>
                        Tuition options
                    </legend>
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label style="display:inline-block">
                                <input ng-change="changeDropIn(schedule)" ng-model="schedule.EnableDropIn" type="checkbox">
                                <span class="check"></span>
                                Enabel Drop in
                            </label>
                            <image-tooltip align="right" img-src="~/Areas/Dashboard/Content/Image/Info/EnabelDropInInfo.jpg"></image-tooltip>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div ng-show="MC.stateParams.programType == '@Jumbula.Common.Enums.ProgramTypeCategory.Camp' && schedule.EnableDropIn" class="place-left one-third padding-right20">
                        <label class="req-star">Drop-in label</label>
                        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].DropInLable")>
                            <input ng-model="schedule.DropInLable" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].DropInLable") />
                        </div>
                    </div>
                </fieldset>

                <fieldset>
                    <legend>Tuition labels</legend>
                    <span class="message">A program has one or more tuition labels, for example "beginner level fees" and "advanced level fees". Tuition price is the amount that users pay to register for a particular tuition label.</span>

                    <div class="tuition" ng-repeat="tuition in schedule.Tuitions" ng-init="tuitionIndex = $index">

                        <div class="place-left one-third padding-right20">
                            <label class="req-star">Tuition label</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Label")>
                                <input ng-model="tuition.Label" class="TiutionLabel" placeholder="e.g. Intermediate chess" type="text" value="All sessions" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Label") />
                            </div>
                        </div>

                        <div class="place-left one-half">
                            <div class="place-left one-half padding-right20">
                                @*<div ng-class="{ 'one-half' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day', 'place-left' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day', 'padding-right20' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day'}">*@
                                @*<div ng-class="{ 'one-half' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day', 'place-left' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day', 'padding-right20' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day'}">*@
                                <label class="req-star">Price</label>
                                <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Price")>
                                    <input ng-model="tuition.Price" class="tiutionPrice" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].Price") />
                                </div>
                                @*</div>*@
                            </div>

                            <div class="place-left one-half">
                                <div ng-class="{'place-left four-fifth': !($first && $last)}">
                                    <label>Capacity</label>
                                    <div class="input-control select" data-role="input-control">
                                        <select ng-model="tuition.Capacity" ng-options="obj.Value as obj.Text for obj in  @Html.Ang(model => model.Capacities)"></select>
                                    </div>
                                </div>
                                <div class="place-left one-fifth text-right" ng-hide="$first && $last">
                                    <button class="remove" ng-click="removeTo(schedule, tuition.Id)" title="Remove tuition option"><i class="jbi-remove"></i></button>
                                </div>
                            </div>

                        </div>

                        <div ng-if="Model.TypeCategory == 'Class'" class="margin-top20">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-change="" ng-model="tuition.IsProrate" type="checkbox">
                                    <span class="check"></span>
                                    Allow system to prorate the price for late registrations?
                                </label>
                            </div>
                            <div class="clearfix"></div>
                            <div class="one-third place-left padding-right20" ng-show="tuition.IsProrate">
                                <label class="req-star">Pro rating starts on</label>
                                <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].ProrateStartDate")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].ProrateStartDate")>
                                        <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.Schedules[scheduleIndex].Tuitions[tuitionIndex].ProrateStartDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                    </div>
                                </div>
                            </div>
                            <div class="one-third place-left padding-right20" ng-show="tuition.IsProrate">
                                <label class="req-star">Each missing session price</label>
                                <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].ProrateSessionPrice")>
                                    <input ng-model="tuition.ProrateSessionPrice" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].ProrateSessionPrice") />
                                </div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div ng-show="schedule.EnableDropIn">
                            <div class="place-left two-half-box padding-right20">
                                <label class="req-star" style="display:inline-block;">Drop-in label</label>
                                <image-tooltip align="right" img-src="~/Areas/Dashboard/Content/Image/Info/DropInlabelInfo.jpg"></image-tooltip>
                                <div class="input-control text" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].DropInName")>
                                    <input ng-model="tuition.DropInName"  type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].DropInName") />
                                </div>
                            </div>
                            <div class="place-left two-half-box">
                                <label class="req-star">Drop-in price</label>
                                <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].DropInPrice")>
                                    <input ng-model="tuition.DropInPrice" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].DropInPrice") />
                                </div>

                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <div class="place-left one-half padding-right20">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-change="changeEB(tuition)" ng-model="tuition.HasEarlyBird" type="checkbox">
                                    <span class="check"></span>
                                    Do you have early bird discount?
                                </label>
                            </div>
                        </div>
                        <div class="place-left one-half earlybird-discounts">
                            <div ng-repeat="earlybird in tuition.EarlyBirds" ng-init="ebIndex = $index" ng-show="tuition.HasEarlyBird">
                                <div class="place-left one-half padding-right20">
                                    <label>Will expire on</label>
                                    <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].ExpireDate")>
                                        <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].ExpireDate")>
                                            <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="earlybird.ExpireDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                                        </div>
                                    </div>
                                </div>

                                <div class="place-left one-half">
                                    <div class="place-left four-fifth">
                                        <label>Early bird price</label>
                                        <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].Price")>
                                            <input ng-model="earlybird.Price" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Tuitions['+tuitionIndex+'].EarlyBirds['+ebIndex+'].Price") />
                                        </div>
                                    </div>
                                    <div class="place-left one-fifth text-right" ng-hide="$first && $last">
                                        <button class="remove" ng-click="removeEB(tuition, earlybird.Id)" title="Remove earlybird discount"><i class="jbi-remove"></i></button>
                                    </div>
                                    <div class="place-left one-fifth text-right" ng-show="$first && $last">
                                        <button class="remove" ng-click="removeEB(tuition, earlybird.Id)" title="Remove earlybird discount"><i class="jbi-remove"></i></button>
                                    </div>
                                </div>
                                <div class="place-left one-half">
                                    Early bird price expires at 11:59 PM this day
                                </div>
                                <div class="clearfix"></div>
                            </div>

                            <div ng-show="tuition.HasEarlyBird">
                                <button class="place-right small margin-bottom20" type="button" ng-click="addEB(tuition)">Add early bird price</button>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <hr ng-if="!$last" />
                        <div class="clearfix"></div>
                    </div>
                    <div class="clearfix"></div>
                    <button class="place-right default" type="button" ng-click="addTo(schedule)">Add tuition label</button>
                    <div class="clearfix"></div>
                </fieldset>

                <fieldset ng-hide="MC.stateParams.programType == 'Calendar'">
                    <legend>Extra services</legend>
                    <span class="message">You can specify all the other services that you provide with this program and their pricing. When users enroll for a program, they have the option of choosing for any of these services.</span>

                    <div class="padding-bottom20" ng-repeat="charge in schedule.Charges" ng-init="chargeIndex = $index">
                        <div class="place-left one-half padding-right20">
                            <label class="req-star" ng-if="charge.Category == 'CustomCharge'">Custom label</label>
                            <label class="req-star" ng-if="charge.Category == 'DayCare'">Daycare label</label>
                            <label class="req-star" ng-if="charge.Category == 'Lunch'">Lunch label</label>
                            <div class="input-control text" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label")>
                                <input ng-if="charge.Category == 'CustomCharge'" ng-model="charge.Label" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label") type="text" value="All sessions" />
                                <input ng-if="charge.Category == 'Lunch'" placeholder="e.g. lunch snack" ng-model="charge.Label" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label") type="text" value="All sessions" />
                                <input ng-if="charge.Category == 'DayCare'" placeholder="e.g Afternoon daycare" ng-model="charge.Label" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Label") type="text" value="All sessions" />
                            </div>
                        </div>
                        <div class="place-left one-half">
                            @*<div ng-class="{ 'one-half' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day', 'place-left' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day', 'padding-right20' : MC.stateParams.programType =='Calendar' ? false : schedule.Type == 'Day'}">*@
                            <div class="one-half place-left padding-right20">
                                <label class="req-star">Price</label>
                                <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Price")>
                                    <input ng-model="charge.Price" type="text" @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].Price") />
                                </div>
                            </div>
                            <div class="place-right">
                                <button class="remove" ng-click="removeCharge(charge.Id)"><i class="jbi-remove"></i></button>
                            </div>
                        </div>

                        <div ng-show="charge.ShowAdvancedOptions">
                            <div class="place-left one-half padding-right20">
                                <label>Capacity</label>
                                <div class="input-control select" data-role="input-control">
                                    <select ng-model="charge.Capacity" ng-options="obj.Value as obj.Text for obj in  @Html.Ang(model => model.Capacities)"></select>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Description</label>
                                <div class="input-control text" data-role="input-control">
                                    <input ng-if="charge.Category == 'Lunch'" placeholder="e.g. We will serve Chinese lunch from 12pm to 1pm" ng-model="charge.Description" type="text" />
                                    <input ng-if="charge.Category == 'CustomCharge'" ng-model="charge.Description" type="text" />
                                    <input ng-if="charge.Category == 'DayCare'" placeholder="e.g. morning daycare starts from 8am to 9 am" ng-model="charge.Description" type="text" />
                                </div>
                            </div>
                            <div class="place-left one-half padding-right20">
                                <div ng-show="charge.Category == 'DayCare'">
                                    <label>Start time</label>
                                    <div class="input-control date-time" @Html.AngValidationClass("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].StartTime")>
                                        <input @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].Charges['+chargeIndex+'].StartTime") ng-model="charge.StartTime" k-options="MC.timePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <div ng-show="charge.Category == 'DayCare'">
                                    <label>End time</label>
                                    <div class="input-control date-time">
                                        <input ng-model="charge.EndTime" k-options="MC.timePickerOptions" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker type="text" />
                                    </div>
                                </div>
                            </div>

                            <div class="place-left one-half padding-right20 margin-top20">
                                <div class="input-control checkbox" data-role="input-control">
                                    <label>
                                        <input ng-model="charge.IsMandatory" type="checkbox">
                                        <span class="check"></span>
                                        Apply this charge automatically when a tuition label is checked.
                                    </label>
                                </div>
                            </div>

                        </div>

                        <div class="place-right one-half">
                            <button ng-hide="charge.ShowAdvancedOptions" class="place-right small" type="button" ng-click="showHideChargeOptions(charge)">Advanced options</button>
                        </div>

                        <div class="place-right one-half">
                            <button ng-show="charge.ShowAdvancedOptions" class="place-right small" type="button" ng-click="showHideChargeOptions(charge)">Hide advanced options</button>
                        </div>

                        <div class="clearfix"></div>
                        <hr ng-if="!$last" />
                        <div class="clearfix"></div>
                    </div>

                    <div class="button-dropdown place-right" ng-init="initDropDown()">
                        <button class="dropdown-toggle default">Add extra charge</button>
                        <ul class="dropdown-menu charges" data-role="dropdown" style="right: 0px;min-width: 146px;">
                            <li ng-click="addCharge(schedule, 'Lunch')"><a class="jbi-lunch">Lunch</a></li>
                            <li ng-click="addCharge(schedule, 'DayCare')"><a class="jbi-mom">Daycare</a></li>
                            <li ng-click="addCharge(schedule, 'CustomCharge')"><a class="jbi-coins">Custom</a></li>
                        </ul>
                    </div>

                </fieldset>

                <fieldset ng-hide="MC.stateParams.programType == 'Calendar'">
                    <legend>Participant restriction</legend>
                    <span class="message">You can qualify people who can register for your program based on their gender, age, and grade. The system will prevent users from registering for the program if they do not meet all the requirements.</span>

                    <div class="place-left one-half padding-right20">

                        <label>Gender</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="schedule.SelectedGender" ng-options="obj.Value as obj.Text for obj in schedule.GenderItems"></select>
                        </div>
                    </div>

                    <div class="place-left one-half">
                        <label>Age/grade restrictions</label>

                        <div class="input-control select" data-role="input-control">
                            <select ng-model="schedule.SelectedRestrictionType" ng-options="obj.Value as obj.Text for obj in schedule.RestrictionTypes"></select>
                        </div>

                        <div ng-if="schedule.SelectedRestrictionType == '@RestrictionType.Age'">

                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMinAge")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMinAge")>
                                        <select ng-model="schedule.SelectedMinAge" ng-options="obj.Value as obj.Text for obj in  @Html.Ang(model => model.Ages)"></select>
                                    </div>
                                </div>
                            </div>

                            <div class="place-left one-half">
                                <label>Max age</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMaxAge")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMaxAge")>
                                        <select ng-model="schedule.SelectedMaxAge" ng-options="obj.Value as obj.Text for obj in  @Html.Ang(model => model.Ages)"></select>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div ng-if="schedule.SelectedRestrictionType == '@RestrictionType.Grade'">
                            <div class="place-left one-half" style="padding-right: 20px">
                                <label>Min grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMinGrade")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMinGrade")>
                                        <select ng-model="schedule.SelectedMinGrade" ng-options="obj.Value as obj.Text for obj in schedule.Grades"></select>
                                    </div>
                                </div>
                            </div>
                            <div class="place-left one-half">
                                <label>Max grade</label>
                                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("Schedules['+scheduleIndex+'].SelectedMaxGrade")>
                                    <div @Html.AngTooltipValidation("Schedules['+scheduleIndex+'].SelectedMaxGrade")>
                                        <select ng-model="schedule.SelectedMaxGrade" ng-options="obj.Value as obj.Text for obj in schedule.Grades"></select>
                                    </div>
                                </div>
                            </div>

                        </div> 
                        <div ng-if="schedule.SelectedRestrictionType == '@RestrictionType.Grade' || schedule.SelectedRestrictionType == '@RestrictionType.Age'">
                            <label class="req-star">The restriction applies</label>
                            <div class="input-control radio">
                                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="schedule.AppliesRestrictionAtTheProgramStart" name="isAllProgram" ng-value="false" type="radio" />
                                        <span class="check"></span>
                                        At the registration time
                                    </label>
                                </div>
                                <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                                    <label class="block">
                                        <input ng-model="schedule.AppliesRestrictionAtTheProgramStart" name="isAllProgram" ng-value="true" type="radio" />
                                        <span class="check"></span>
                                        At the program start time
                                    </label>
                                </div>
                            </div>
                        </div>                  
                    </div>
                </fieldset>
                <fieldset ng-show="MC.stateParams.programType == 'Camp'">
                    <legend>Camp options</legend>
                    <div class="place-left one-half padding-right20">
                        <div class="input-control checkbox" data-role="input-control">
                            <label style="display:inline-block;white-space:nowrap!important">
                                <input ng-model="schedule.IsCampOvernight" type="checkbox">
                                <span class="check"></span>
                                This is an overnight camp
                            </label>
                            <div style="display:inline-block;position:relative;vertical-align: middle;">
                                <i class="jbi-info on-left-more icon" ng-click="ShowInfo()"></i>
                                <div class="icon-msg-box infoCamp">
                                    The overnight option hides the start and end times from the description page.
                                </div>
                            </div>
                        </div>

                     
                    </div>

                </fieldset>
            </div>
        </div>
    </div>

    <div ng-show="showQuestion1">
        <h3>Do you want to add more schedules to your camp?</h3>
        <div class="clearfix"></div>
        <button class="primary on-left-more" ng-click="showQuestion1 = false;showQuestion2 = true">Yes</button>
        <button ng-click="saveStep2()">No</button>
    </div>

    <div ng-show="showQuestion2">
        <h3>How many schedules you want to add?</h3>
        <div class="clearfix"></div>
        <div class="input-control select" data-role="input-control">
            <select ng-model="Model.newSchedulesNumber">
                <option value="1">1</option>
                <option value="2">2</option>
                <option value="3">3</option>
                <option value="4">4</option>
                <option value="5">5</option>
                <option value="6">6</option>
                <option value="7">7</option>
                <option value="8">8</option>
                <option value="9">9</option>
                <option value="10">10</option>
                <option value="11">11</option>
                <option value="12">12</option>
                <option value="13">13</option>
                <option value="14">14</option>
                <option value="15">15</option>
                <option value="16">16</option>
                <option value="17">17</option>
                <option value="18">18</option>
                <option value="19">19</option>
                <option value="20">20</option>
            </select>
        </div>
        <button class="primary on-left-more" ng-click="collapseFirstSchedule(Model.Schedules[0]); showQuestion1 = false;showQuestion2 = false">Add</button>
    </div>

    <a class="margin-top20 button place-right" ng-click='addSchedule()' ng-show="(MC.stateParams.programType == 'Class' ? false : firstCollapsed )">Add a blank schedule</a>

    <div class="clearfix"></div>

    <hr />
    <a class="place-left button link large" ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>Back</a>
    <a class="success place-right button large" ng-click='saveCampSchedule()' ng-show="(Model.TypeCategory == '@ProgramTypeCategory.Camp' ? !firstCollapsed : false )">Save</a>
    <a class="success place-right button large" ng-click="saveStep2()" ng-show="(Model.TypeCategory != '@ProgramTypeCategory.Camp') ? true : firstCollapsed">Save & continue</a>
    <div class="clearfix"></div>

</div>